
// 座机号
export const tel = /^(\d{3,4}-\d{3,8})+(-\d{1,4})?$/;
// 手机号
export const phone = /^1[3|4|5|6|7|8|9][0-9]\d{8}$/;
// 手机或者座机
export const telPhone = /(^1[3|4|5|6|7|8|9][0-9]\d{8}$)|(^(\d{3,4}-\d{3,8})+(-\d{1,4})?$)/;
// 4-5位 2位小数 用于百分比值 范围 0.01- 99.99
export const per = /^(([1-9])?([0-9]).([0-9]){2})$/;
// 2位小数 或整数的正则
export const decNum = /^[0-9]+\.{0,1}[0-9]{0,2}$/;
// 整数正则
export const intNum = /^[1-9]\d*$/;
// 身份证号码
export const IDCard = /^(^[1-9]\d{7}((0\d)|(1[0-2]))(([0|1|2]\d)|3[0-1])\d{3}$)|(^[1-9]\d{5}[1-9]\d{3}((0\d)|(1[0-2]))(([0|1|2]\d)|3[0-1])((\d{4})|\d{3}[Xx])$)$/;
// 非中文
export const nonChinese = /[\u4e00-\u9fa5]+/;
// email
export const emailReg = /^\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*$/;

/* eslint-disable */
export default {
  tel,
  phone,
  telPhone,
  per,
  decNum,
  intNum,
  IDCard,
  nonChinese,
  emailReg
};